> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List available information request codes

> Returns all available information request codes with their expected response types and descriptions.



## OpenAPI

````yaml /autogenerated/openapi/onboarding.openapi.json get /applications/information-request-codes
openapi: 3.1.0
info:
  title: Onboarding API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /applications/information-request-codes:
    get:
      tags:
        - Onboarding
      summary: List available information request codes
      description: >-
        Returns all available information request codes with their expected
        response types and descriptions.
      operationId: listInformationRequestCodes
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - array
                items:
                  type:
                    - object
                  properties:
                    code:
                      type:
                        - string
                      description: >-
                        The standardised code identifying the type of
                        information.
                    expectedResponseType:
                      type:
                        - string
                      enum:
                        - file
                        - text
                        - boolean
                        - date
                      description: >-
                        The expected format of the response for this information
                        request item.
                      example: text
                    description:
                      type:
                        - string
                      description: Human-readable description of what the code represents.
                  required:
                    - code
                    - expectedResponseType
                    - description
                example:
                  - code: string
                    expectedResponseType: text
                    description: string
      security:
        - CommonAuth: []
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````